"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const helpers_1 = require("../helpers");
const posix_1 = require("./posix");
const windows_1 = require("./windows");
class Adapter {
    constructor(instance = helpers_1.os() === helpers_1.OS.WIN ? new windows_1.WINDOWS() : new posix_1.POSIX()) {
        this.instance = instance;
    }
    exists(path) {
        return this.instance.exists(path);
    }
    get(path) {
        return this.instance.get(path);
    }
    where(search, cwd = process.cwd()) {
        return this.instance.where(search, cwd);
    }
    which(search, cwd = process.cwd()) {
        return this.instance.which(search, cwd);
    }
    findUp(search, cwd = process.cwd(), root) {
        return this.instance.findUp(search, cwd, root);
    }
    normalizePath(path) {
        return this.instance.normalizePath(path);
    }
    setSystemPaths(systemPaths) {
        this.instance.setSystemPaths(systemPaths);
        return this;
    }
    getSystemPaths() {
        throw this.instance.getSystemPaths();
    }
    dirname(path) {
        return this.instance.dirname(path);
    }
    tmpfile(extension = 'tmp', prefix) {
        return this.instance.tmpfile(extension, prefix);
    }
    unlink(path) {
        return this.instance.unlink(path);
    }
    uri(path) {
        return this.instance.uri(path);
    }
}
exports.Adapter = Adapter;
class Filesystem extends Adapter {
}
exports.Filesystem = Filesystem;
//# sourceMappingURL=adapter.js.map