"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var OS;
(function (OS) {
    OS[OS["WINDOWS"] = 1] = "WINDOWS";
    OS[OS["WIN"] = 1] = "WIN";
    OS[OS["POSIX"] = 2] = "POSIX";
    OS[OS["LINUX"] = 2] = "LINUX";
})(OS = exports.OS || (exports.OS = {}));
function os() {
    return /win32|mswin(?!ce)|mingw|bccwin|cygwin/i.test(process.platform) ? OS.WIN : OS.POSIX;
}
exports.os = os;
function tap(value, callback) {
    callback(value);
    return value;
}
exports.tap = tap;
function value(value, callback) {
    return callback(value);
}
exports.value = value;
function when(value, success, fail) {
    if (value) {
        return success instanceof Function ? success(value) : success;
    }
    else if (fail) {
        return fail instanceof Function ? fail(value) : fail;
    }
}
exports.when = when;
function groupBy(items, key) {
    return when(items, () => {
        return items.reduce((groups, item) => {
            const group = groups.get(item[key]) || [];
            group.push(item);
            groups.set(item[key], group);
            return groups;
        }, new Map());
    }, []);
}
exports.groupBy = groupBy;
//# sourceMappingURL=helpers.js.map