"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
class Process {
    spawn(command, options) {
        return new Promise(resolve => {
            const process = child_process_1.spawn(command.command, command.arguments, options);
            const output = [];
            process.stdout.on('data', (buffer) => {
                output.push(buffer);
            });
            process.stderr.on('data', (buffer) => {
                output.push(buffer);
            });
            process.on('exit', () => {
                resolve(this.output(output));
            });
        });
    }
    output(buffer) {
        return buffer
            .join('')
            .toString()
            .trim();
    }
}
exports.Process = Process;
//# sourceMappingURL=process.js.map